package cn.com.qmth.examcloud.core.basic.service;

import java.util.List;

import cn.com.qmth.examcloud.core.basic.dao.entity.StudentEntity;
import cn.com.qmth.examcloud.core.basic.service.bean.StudentInfo;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年6月29日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface StudentService {

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param studentInfo
	 * @return
	 */
	StudentEntity saveStudent(StudentInfo studentInfo);

	/**
	 * 查询
	 *
	 * @author WANGWEI
	 * @param rootOrgId
	 * @param studentId
	 * @param identityNumber
	 * @param studentCode
	 * @param securityPhone
	 * @return
	 */
	StudentInfo getStudentInfo(Long rootOrgId, Long studentId, String identityNumber,
			String studentCode, String securityPhone);

	/**
	 * 解绑学号
	 *
	 * @author WANGWEI
	 * @param studentCode
	 * @param identityNumber
	 */
	List<Long> unbindStudentCode(Long rootOrgId, String studentCode, String identityNumber);

	/**
	 * 解绑安全手机
	 *
	 * @author WANGWEI
	 * @param studentId
	 * @return
	 */
	public void unbindSecurityPhone(Long studentId);

	/**
	 * 手机号码是否被绑定
	 *
	 * @author WANGWEI
	 * @param securityPhone
	 * @return
	 */
	Boolean hasBeBound(String securityPhone);

}
