package cn.com.qmth.examcloud.core.basic.starter.config;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.core.basic.service.report.RocketMqConsumerListener;
import cn.com.qmth.examcloud.reports.commons.enums.MqType;
import cn.com.qmth.examcloud.web.bootstrap.PropertyHolder;

@Component
@Order(999)
public class MqConsumerListenerStartup implements ApplicationRunner {
	private final static Logger logger = LoggerFactory.getLogger(MqConsumerListenerStartup.class);
	private void startConsumerListener() {

		String mqType = PropertyHolder.getString("$report.mq-type");

		Boolean reportEnable = PropertyHolder.getBoolean("$report.enable", false);

		if (reportEnable) {
			if(MqType.ROCKETMQ.getCode().equals(mqType)) {
				RocketMqConsumerListener.start();
			}else {
				logger.error("no $report.mq-type property config!");
			}
		}

	}

	@Override
	public void run(ApplicationArguments args) throws Exception {
		new Thread() {
			@Override
			public void run() {
				startConsumerListener();
			}
			
		}.start();
	}
}
